Subject: bug#55047: Bug: Abort Dialog upon start

From: hermit sings <[email-masked]>
Date: Sun, 1 May 2022 15:22:21 +0000 (UTC)

I actually didn't know about the emacs init file. But I searched for it on the web. I understand that it should be in `.emacs.d` in 'AppData\Roaming' folder in Windows?But there was none. So according to an answer I read on Stackoverflow, I created a file `init.el` and left it blank.Then started Emacs normally and via Command Prompt. It still, however, shows the Abort dialog for both.

For the second one: yes! It starts showing the Abort dialog after displaying the `splash.svg`.

    On Sunday, 1 May, 2022, 08:25:54 pm IST, Eli Zaretskii <[email-masked]> wrote:  
 
 > Date: Sun, 1 May 2022 14:39:37 +0000 (UTC)
> From: hermit sings <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
>     "[email-masked]" <[email-masked]>
> 
> Yes, now that I think of it, it doesn't show Abort dialog while displaying the scratch buffer.
> But if `-q` is used, it does, like if I'd have normally opened it.

What if you replace your .emacs init file with an empty file, and then
invoke Emacs without -Q or -q?

And another experiment: start Emacs with -Q, wait until it shows the
*scratch* buffer, and then type

  C-x C-f C:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/etc/images/splash.svg RET

Does it show the abort dialog after you press RET in the above
command?